Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections
Interface Configuration

All Known Implementing Classes:
  ConfigurationBuilder

    public interface Configuration

Configuration is used to create a configured instance of `Reflections`

it is preferred to use `ConfigurationBuilder`

Method Summary
`boolean` | `acceptsInput(java.lang.String inputFqn)` the fully qualified name filter used to filter types to be scanned
`java.util.concurrent.ExecutorService` | `getExecutorService()` executor service used to scan files if null, scanning is done in a simple for loop
`MetadataAdapter` | `getMetadataAdapter()` the metadata adapter used to fetch metadata from classes
`java.util.Set<Scanner>` | `getScanners()` the scanner instances used for scanning different metadata
`Serializer` | `getSerializer()` the default serializer to use when saving Reflection
`java.util.Set<java.net.URL>` | `getUrls()` the urls to be scanned

Method Detail

### getScanners

    java.util.Set<Scanner> getScanners()

  the scanner instances used for scanning different metadata

### getUrls

    java.util.Set<java.net.URL> getUrls()

  the urls to be scanned

### getMetadataAdapter

    MetadataAdapter getMetadataAdapter()

  the metadata adapter used to fetch metadata from classes

### acceptsInput

    boolean acceptsInput(java.lang.String inputFqn)

  the fully qualified name filter used to filter types to be scanned

### getExecutorService

    java.util.concurrent.ExecutorService getExecutorService()

  executor service used to scan files if null, scanning is done in a simple for loop

### getSerializer

    Serializer getSerializer()

  the default serializer to use when saving Reflection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.